GET /ott/v1/send/{messageId}

Overview 

Retrieves all the information about an existing OTT send message request.

URL Parameters 

NameTypeDescription
messageIdstringRequiredId of the send request to be retrieved. Id can be user-defined MessageKey or ottRequestId returned as a response to send message request.

Responses 

StatusNameTypeDescription
200  success
 requestBodyobjectReturns the request body.
 statusarrayStatus of the message send request.
 status.eventstringIndicates the type of event with values: Created, Queued, Sent, Error (if any).
 status.eventDateTimedatetimeTimestamp indicating when the event occured.
    
403  Forbidden
 messagestringError message.
 errorcodenumberError code.
 documentationstringDocumentation for the error code.
    
404  Not Found
 messagestringError message.
 errorcodenumberError code.
 documentationstringDocumentation for the error code.

Usage 

Example Request 

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /ott/v1/send/812ed7d7-f11c-43dd-9eaa-b32ca3264278
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response: Retrieve a Send Message Request to Messenger 

1HTTP/1.1 200 OK
2
3{
4    "requestBody": {
5        "messageKey": "e1c3514160f969e52b0d",
6        "ottRequestId": "942adfff-817e-4276-bca6-c1cbcd7b6241",
7        "from": {
8            "senderType": "messenger",
9            "senderId": "200012913364042"
10        },
11        "to": {
12            "ottId": "1061820367222105"
13        },
14        "message": {
15            "subject": "Message Name",
16            "contents": [
17                {
18                    "type": "text",
19                    "text": "Hello, Messenger World!",
20                    "duration": 0,
21                    "isReusable": false
22                }
23            ],
24            "customKeys": [
25                {
26                    "messagingType": "RESPONSE"
27                }
28            ]
29        },
30        "validityPeriod": 30
31    },
32    "status": [
33        {
34            "event": "Created",
35            "eventDateTime": "2018-05-24T13:36:52.747"
36        },
37        {
38            "event": "Queued",
39            "eventDateTime": "2018-05-24T13:37:01.29"
40        },
41        {
42            "event": "Sent",
43            "eventDateTime": "2018-05-24T13:37:01.337"
44        }
45    ]
46}

Example Response: Retrieve Send Message Request to LINE 

1HTTP/1.1 200 OK
2
3{
4    "requestBody": {
5        "messageKey": "e1c35141-6e5c-4bc2-813b-60f969e52b0d",
6        "ottRequestId": "2dd53e4a-56a5-497a-b5f2-1a34187e1641",
7        "from": {
8            "senderType": "line",
9            "senderId": "1415451353"
10        },
11        "to": {
12            "ottId": "U0098560c6da67ea9cab11d4405e3c018"
13        },
14        "message": {
15            "subject": "Message Name",
16            "contents": [
17                {
18                    "type": "text",
19                    "text": "Hello, LINE World!",
20                    "duration": 0,
21                    "isReusable": false
22                }
23            ],
24            "customKeys": []
25        },
26        "validityPeriod": 30
27    },
28    "status": [
29        {
30            "event": "Created",
31            "eventDateTime": "2018-05-24T14:58:14.36"
32        },
33        {
34            "event": "Queued",
35            "eventDateTime": "2018-05-24T14:58:15.01"
36        },
37        {
38            "event": "Sent",
39            "eventDateTime": "2018-05-24T14:58:15.337"
40        }
41    ]
42}